Minimum Requirements

Aug 13, 2009 at 6:53 PM

Sorry to repost. I have seen on here that you say that you recommend Shader 3.0 (directx 9.0c). I am working for a company and am building a 3d sim for them. All of the  machines that will be running the software will only have directx 9.0b installed. They run directx9.0b apps fine as it is right now. Will these machines work with a rendered simulation using Ox?

Coordinator
Aug 13, 2009 at 8:10 PM

Using only certain components in Ox will allow you to operate with Shader Model 1.1. But components such as Water, Terrain, StandardModel, DirectionalLight with shadowing, and AnimatedModel model all require Shader Model 3.0, which I believe is DX 9.0c and up.

If you really want to target a shader model less than 3.0, you could try altering the .fx files that render said component to do less until they compile for your target platform.

Thanks!

Coordinator
Aug 13, 2009 at 8:15 PM

On the other hand, DX 9.0b may actually support SM3.0. I never was terribly clear on it...

Just try opening the scene editor and creating a Terrain. If it works, your card probably supports SM3.0.